<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Modifcar Auto</title>
</head>
<body>
<!-- si hay un error en la pagina te lo muestra -->
{% if error %}
    <h1 style="color:red;"> {{error}} </h1>
{% endif %}

<form method="post">
    {% csrf_token %}
    <label><h1> Modificar Autos </h1></label> <!-- Titulo de la pagina -->

    <label>Modelo</label>
    <input type="text" name="modelo" value="{{auto.modelo}}">

    <label>Marca</label>
    <input type="text" name="marca" value="{{auto.marca}}">

    <label>Patente</label>
    <input type="text" name="patente" value="{{auto.patente}}">

    <input type="submit" value="Cargar">
</form>
<br>
<table>
        <style>
        table, tr, td
            {
                border: 1px solid black;
                border-collapse: collapse;
                padding: 5px;
                text-align: left;
            }
    </style>
    <thead>
        <tr> <!-- fila -->
            <td>Modelo</td><td>Marca</td><td>Patente</td> <!-- columna -->
        </tr>
    </thead>
    <tbody>
        <!-- RECORRE $VARIABLE (ITEM) EN LISTA_PERSONA
                $VARIABLE.NOMBRE
                $VARIABLE.APELLIDO
                $VARIABLE.DNI -->
        {% for item in lista_autos %}
        <tr>
            <td>{{ item.modelo }}</td><td>{{ item.marca }} </td><td> {{ item.patente }}</td>
        </tr>
        {% endfor %}
    </tbody>
</table>
</body>
</html>